Skip to main content
Update source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

source_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
workspace_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
credentials
object
wide_table
boolean
private
boolean

Response

Updated source

source_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

workspace_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

type
string

Database engine type

Example:

"postgres"

name
string
status
enum<string>
Available options:
active,
inactive,
error,
pending
wide_table
boolean
managed
boolean
auto_created
boolean
private
boolean
credentials
object
Last modified on July 23, 2026